Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class ELChart

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.eltima.chart.GradientPanel
                          com.eltima.chart.ELChart

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ELChart

extends GradientPanel

The main class of Eltima Chart package.

Simlpe way to using ELChart:

     1.
      String[] series     = new String[] {"Orange", "Apple", "Banana"};
      String[] categories = new String[] {"Jan", "Feb", "Mar", "Apr"};

       java.lang.Number[][] data = new Number[][] {
           {new Integer(12), new Integer(14), new Integer(3)},
           {new Integer(14), new Integer(16), new Integer(8)},
           {new Integer(16), new Integer(19), new Integer(13)},
           {new Integer(18), new Integer(23), new Integer(14)}
       };

       dataModel = new ELChartDataModel( series, categories, data );

       ELChart chart = new ELChart();
       chart.setELChartDataModel(dataModel);
       myJPanel.add(chart);

     2.
       try {
         FileInputStream in = new FileInputStream("mySavedChart.elc");
         ELChart chart = new ELChart();
         try {
           chart.openChart(in, true);
           myJPanel.add(chart);
           in.close();
         }
         catch (IOException ex1) {
         }
         catch (ClassNotFoundException ex1) {
         }
       }
       catch (FileNotFoundException ex) {
       }

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `TYPE_AREA`
`static int` | `TYPE_BAR`
`static int` | `TYPE_BUBBLE`
`static int` | `TYPE_COLUMN`
`static int` | `TYPE_DOUGHNUT`
`static int` | `TYPE_LINE`
`static int` | `TYPE_PIE`
`static int` | `TYPE_XY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ELChart()` Creates new instance of ELChart.

Method Summary
`void` | `animationPause()`
`void` | `animationStart()` Starts animation.
`void` | `animationStop()` Stops animation.
`Animation` | `getAnimation()` Returns the Animation.
`ChartPanel` | `getChartPanel()` Returns chart ChartPanel.
`ColumnModel` | `getColumnModel()` Returns the ColumnModel.
`ELChartDataModel` | `getDataModel()` Returns chart data model.
`FooterPanel` | `getFooterPanel()` Returns chart FooterPanel.
`HeaderPanel` | `getHeaderPanel()` Returns chart HeaderPanel.
`java.awt.Image` | `getImage(int width, int height, double scale)` Returns an image of chart with specified width, height and scale.
`SeriesModel` | `getSeriesModel(int series)` Returns the SeriesModel for specified series.
`int` | `getStackedType()` Returns the stacked type.
`int` | `getSubType()` Returns the subtype.
`int` | `getType()` Returns the chart type.
`boolean` | `isAnimationRuning()` Return true if animation is runing.
`void` | `openChart(java.io.InputStream in, boolean includeData)` Read chart properties from specified output stream.
`void` | `saveChart(java.io.FileOutputStream out, boolean includeData)` Save chart properties to specified output stream.
`void` | `setColumnModel(ColumnModel columnModel)` Sets the ColumnModel.
`void` | `setELChartDataModel(ELChartDataModel dataModel)` Sets chart data model.
`void` | `setStackedType(int stackedType)` Sets the stacked type.
`void` | `setSubType(int subType)` Sets the subtype.
`void` | `setType(int type)` Sets the chart type.

Methods inherited from class com.eltima.chart.GradientPanel
`getGradientModel, paintComponent, setGradientModel`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_COLUMN

    public static final int TYPE_COLUMN

See Also:
  Constant Field Values

### TYPE_BAR

    public static final int TYPE_BAR

See Also:
  Constant Field Values

### TYPE_LINE

    public static final int TYPE_LINE

See Also:
  Constant Field Values

### TYPE_AREA

    public static final int TYPE_AREA

See Also:
  Constant Field Values

### TYPE_PIE

    public static final int TYPE_PIE

See Also:
  Constant Field Values

### TYPE_DOUGHNUT

    public static final int TYPE_DOUGHNUT

See Also:
  Constant Field Values

### TYPE_XY

    public static final int TYPE_XY

See Also:
  Constant Field Values

### TYPE_BUBBLE

    public static final int TYPE_BUBBLE

See Also:
  Constant Field Values

Constructor Detail

### ELChart

    public ELChart()

  Creates new instance of ELChart.

Method Detail

### animationStart

    public void animationStart()

  Starts animation.

### animationStop

    public void animationStop()

  Stops animation.

### animationPause

    public void animationPause()

### getHeaderPanel

    public HeaderPanel getHeaderPanel()

  Returns chart HeaderPanel.

  Returns:
    HeaderPanel

### getChartPanel

    public ChartPanel getChartPanel()

  Returns chart ChartPanel.

  Returns:
    ChartPanel

### getFooterPanel

    public FooterPanel getFooterPanel()

  Returns chart FooterPanel.

  Returns:
    FooterPanel

### getDataModel

    public ELChartDataModel getDataModel()

  Returns chart data model. Creates new simple ELChartDataModel if model is null.

  Returns:
    ELChartDataModel

### setELChartDataModel

    public void setELChartDataModel(ELChartDataModel dataModel)

  Sets chart data model.

  Parameters:
    `dataModel` - ELChartDataModel

### saveChart

    public void saveChart(java.io.FileOutputStream out,
                          boolean includeData)

  Save chart properties to specified output stream.

  Parameters:
    `out` - FileOutputStream
    `includeData` - boolean

### openChart

    public void openChart(java.io.InputStream in,
                          boolean includeData)
                   throws java.lang.ClassNotFoundException,
                          java.io.IOException

  Read chart properties from specified output stream.

  Parameters:
    `in` - InputStream
    `includeData` - boolean
  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`

### getSeriesModel

    public SeriesModel getSeriesModel(int series)

  Returns the SeriesModel for specified series.

  Parameters:
    `series` - int
  Returns:
    SeriesModel

### getColumnModel

    public ColumnModel getColumnModel()

  Returns the ColumnModel.

  Returns:
    ColumnModel

### setColumnModel

    public void setColumnModel(ColumnModel columnModel)

  Sets the ColumnModel.

  Parameters:
    `columnModel` - ColumnModel

### getType

    public int getType()

  Returns the chart type.

  Returns:
    int

### setType

    public void setType(int type)

  Sets the chart type.

  Parameters:
    `type` - int

### getSubType

    public int getSubType()

  Returns the subtype.

  Returns:
    int

### setSubType

    public void setSubType(int subType)

  Sets the subtype.

  Parameters:
    `subType` - int

### getStackedType

    public int getStackedType()

  Returns the stacked type.

  Returns:
    int

### setStackedType

    public void setStackedType(int stackedType)

  Sets the stacked type.

  Parameters:
    `stackedType` - int

### getAnimation

    public Animation getAnimation()

  Returns the Animation.

  Returns:
    Animation

### isAnimationRuning

    public boolean isAnimationRuning()

  Return true if animation is runing.

  Returns:
    boolean

### getImage

    public java.awt.Image getImage(int width,
                                   int height,
                                   double scale)

  Returns an image of chart with specified width, height and scale.

  Parameters:
    `width` - int
    `height` - int
    `scale` - double
  Returns:
    Image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.